PDA

View Full Version : Unable to load the merge module catalog



Jaakko
11-20-2001, 11:32 AM
I am trying to install IS Express 3.51 to W2K. There are no error messages during installation, but when I start IS, it shows: 'InstallShield Express is unable to load the merge module catalog. One or more merge modules may be corrupted.'

I looked into iside.log file and there are following lines:

CApp 0: Error 429.
Class not registered
: 'ISExpMMUpdater.MMCatalog'
> ISMain.CMain.GetMMCatalog

> ISMain.CMain.Setup Last Line executed = m_pNav

Can you help me?

Chandima
11-20-2001, 05:33 PM
It looks like some of your merge modules were indeed corrupted during the install. One way to verify this would be to delete the data in the MMSearchPath value in HKCU\software\installshield\Express\3.5\Project Settings

Once you clear that try launching Express. IF it works go to tools->Options->File Locations and use the browse button and select C:\Program Files\InstallShield\Express\Modules\i386 and C:\Program Files\InstallShield\Express\Objects.

If it gives you the same error when you try to launch Express again, try uninstalling and re-installing Express.